var networkXml, user = config.user,
    pwd = config.password;
var current=0;
$(document).ready(function() {
    if (!$('.select2').hasClass('select2-offscreen')) {
        $(".select2").select2({
            minimumResultsForSearch: -1,
            width: 360
        });
    }
    if(config.deviceCap[current].FourGnumber==2){
        getNetworkCardInfo();
    }else{
        $(".simtow").hide();
        getNetworkInfo();
        getMbcfgInfo();    
    }
    $("#ipSave").click(function() {
        if ("admin" == user || "super_admin" == user) {
            setNetworkInfo();
        } else {
            $.optionBootoast($.i18n.prop('i18n-propoe'), "danger")
        }
    });
})

function getNetworkInfo() {
    $.ajax({
        url: config.baseUrl + "/Network/Interfaces/3/4GCardInfo",
        type: "get",
        async: false,
        timeout: 15000,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
        },
        success: function(xmlDoc, textStatus, xhr) {
            var isSIM = $(xmlDoc).find('ResponseStatus').eq(0).find('statusCode').eq(0).text();
            if (isSIM == "-8") {
                $("#nepartiy,#ntmodel,#ntimsi,#ntimei,#nticcid").val("No SIM Card");
            } else {
                var Operator = $(xmlDoc).find('_4GCardInfo').eq(0).find('Operator').eq(0).text();
                if (Operator == "CHINA MOBILE") {
                    $("#nepartiy").val($.i18n.prop("i18n-mobile-chinaMobile"));
                } else if (Operator == "CHN-UNICOM") {
                    $("#nepartiy").val($.i18n.prop("i18n-mobile-chinaUnicom"));
                } else {
                    $("#nepartiy").val($.i18n.prop("i18n-mobile-chinaTelecom"));
                };
                var mobiletype = $(xmlDoc).find('_4GCardInfo').eq(0).find('ACT').eq(0).text();
                $("#ntmodel").val(mobiletype);
                if (mobiletype == "GSM" || mobiletype == "GSM Compact" || mobiletype == "GSM w/EGPRS") {
                    $("#netype").val("2G");
                } else if (mobiletype == "E-UTRAN") {
                    $("#netype").val("4G");
                } else {
                    $("#netype").val("4G");
                };
                $("#ntimsi").val($(xmlDoc).find('_4GCardInfo').eq(0).find('IMSI').eq(0).text());
                $("#ntimei").val($(xmlDoc).find('_4GCardInfo').eq(0).find('IMEI').eq(0).text());
                $("#nticcid").val($(xmlDoc).find('_4GCardInfo').eq(0).find('ICCID').eq(0).text());
                $("#ntver").val($(xmlDoc).find('_4GCardInfo').eq(0).find('_4GModuleVersion').eq(0).text());
            }
        },
        error: function(xhr, textStatus, errorThrown) {}
    });
}

function getMbcfgInfo() {
    $.ajax({
        url: config.baseUrl + "/Network/Interfaces/3/4GCardCfg",
        type: "get",
        async: false,
        timeout: 15000,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
        },
        success: function(xmlDoc, textStatus, xhr) {
            var isSIM = $(xmlDoc).find('ResponseStatus').eq(0).find('statusCode').eq(0).text();
            if (isSIM == "-8") {
                // $("#apnId,#apnIdSw,#mobSave").hide();
                $("#ntfogas,#ntstatus").val("No SIM Card");
            } else {
                // $("#apnEnable").val($(xmlDoc).find('_4GCardCfg').eq(0).find('APNMode').eq(0).text());
                // setApnSw();
                // $("#dnHost").val($(xmlDoc).find('_4GCardCfg').eq(0).find('APNServer').eq(0).text());
                // $("#dnUser").val($(xmlDoc).find('_4GCardCfg').eq(0).find('APNUserName').eq(0).text());
                // $("#dnPWD").val($(xmlDoc).find('_4GCardCfg').eq(0).find('APNPassword').eq(0).text());
                $("#ntfogas").val($(xmlDoc).find('_4GCardCfg').eq(0).find('SignalVal').eq(0).text() + "%");
                var RegisterStatus = $(xmlDoc).find('_4GCardCfg').eq(0).find('RegisterStatus').eq(0).text();
                if (RegisterStatus == "success") {
                    RegisterStatus = $.i18n.prop("i18n-ddns-status-registered");
                } else {
                    RegisterStatus = $.i18n.prop("i18n-unregistered");
                }
                $("#ntstatus").val(RegisterStatus);

                // $("#romaEnable").val($(xmlDoc).find('_4GCardCfg').eq(0).find('EnableModWander').eq(0).text());
            }
        },
        error: function(xhr, textStatus, errorThrown) {}
    });
}
// 获取多卡信息
function getNetworkCardInfo(){
    $.ajax({
        url: config.baseUrl + "/System/DeviceSIMCardInfo",
        type: "get",
        async: false,
        timeout: 15000,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
        },
        success: function(xmlDoc, textStatus, xhr) {
            var isSIM = $(xmlDoc).find('ResponseStatus').eq(0).find('statusCode').eq(0).text();
            if (isSIM == "-8") {
                $("#nepartiy,#ntmodel,#ntimsi,#ntimei,#nticcid").val("No SIM Card");
            } else {
                var Operator = $(xmlDoc).find('CardInfo').eq(0).find('Operator').text();
                if (Operator == "CHINA MOBILE") {
                    $("#nepartiy").val($.i18n.prop("i18n-mobile-chinaMobile"));
                } else if (Operator == "CHN-UNICOM") {
                    $("#nepartiy").val($.i18n.prop("i18n-mobile-chinaUnicom"));
                } else {
                    $("#nepartiy").val($.i18n.prop("i18n-mobile-chinaTelecom"));
                };
                var Operators = $(xmlDoc).find('CardInfo').eq(1).find('Operator').text();
                if (Operators == "CHINA MOBILE") {
                    $("#nepartiys").val($.i18n.prop("i18n-mobile-chinaMobile"));
                } else if (Operators == "CHN-UNICOM") {
                    $("#nepartiys").val($.i18n.prop("i18n-mobile-chinaUnicom"));
                } else {
                    $("#nepartiys").val($.i18n.prop("i18n-mobile-chinaTelecom"));
                };
                // 卡1
                var mobiletype = $(xmlDoc).find('CardInfo').eq(0).find('ACT').eq(0).text();
                if (mobiletype == "GSM" || mobiletype == "GSM Compact" || mobiletype == "GSM w/EGPRS") {
                    $("#netype").val("2G");
                } else if (mobiletype == "E-UTRAN") {
                    $("#netype").val("4G");
                } else {
                    $("#netype").val("4G");
                };
                var RegisterStatus = $(xmlDoc).find('CardInfo').eq(0).find('RegisterStatus').eq(0).text();
                if (RegisterStatus == "success") {
                    RegisterStatus = $.i18n.prop("i18n-ddns-status-registered");
                } else {
                    RegisterStatus = $.i18n.prop("i18n-unregistered");
                }
                $("#ntstatus").val(RegisterStatus);
                $("#ntimsi").val($(xmlDoc).find('CardInfo').eq(0).find('IMSI').eq(0).text());
                $("#ntimei").val($(xmlDoc).find('CardInfo').eq(0).find('IMEI').eq(0).text());
                $("#nticcid").val($(xmlDoc).find('CardInfo').eq(0).find('ICCID').eq(0).text());
                $("#ntver").val($(xmlDoc).find('CardInfo').eq(0).find('_4GModuleVersion').eq(0).text());
                $("#ntfogas").val($(xmlDoc).find('CardInfo').eq(0).find('SignalStrength').eq(0).text() + "%");
                // 卡2
                var mobiletypes = $(xmlDoc).find('CardInfo').eq(1).find('ACT').eq(0).text();
                if (mobiletypes == "GSM" || mobiletypes == "GSM Compact" || mobiletypes == "GSM w/EGPRS") {
                    $("#netypes").val("2G");
                } else if (mobiletype == "E-UTRAN") {
                    $("#netypes").val("4G");
                } else {
                    $("#netypes").val("4G");
                };
                var RegisterStatuss = $(xmlDoc).find('CardInfo').eq(0).find('RegisterStatus').eq(0).text();
                if (RegisterStatuss== "success") {
                    RegisterStatuss = $.i18n.prop("i18n-ddns-status-registered");
                } else {
                    RegisterStatuss = $.i18n.prop("i18n-unregistered");
                }
                $("#ntstatuss").val(RegisterStatuss);
                $("#ntimsis").val($(xmlDoc).find('CardInfo').eq(1).find('IMSI').eq(0).text());
                $("#ntimeis").val($(xmlDoc).find('CardInfo').eq(1).find('IMEI').eq(0).text());
                $("#nticcids").val($(xmlDoc).find('CardInfo').eq(1).find('ICCID').eq(0).text());
                $("#ntvers").val($(xmlDoc).find('CardInfo').eq(1).find('_4GModuleVersion').eq(0).text());
                $("#ntfogass").val($(xmlDoc).find('CardInfo').eq(1).find('SignalStrength').eq(0).text() + "%");
            }
        },
        error: function(xhr, textStatus, errorThrown) {}
    });
}